'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reduceReducers;

var _mudash = require('mudash');

var _mudash2 = _interopRequireDefault(_mudash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function reduceReducers() {
  for (var _len = arguments.length, reducers = Array(_len), _key = 0; _key < _len; _key++) {
    reducers[_key] = arguments[_key];
  }

  return function (previous) {
    for (var _len2 = arguments.length, args = Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    return _mudash2.default.reduce(reducers, function (current, reducer) {
      return reducer.apply(undefined, [current].concat(args));
    }, previous);
  };
}
//# sourceMappingURL=reduceReducers.js.map
